<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\Relations\HasMany;

class LlmSession extends Model
{
    use HasFactory;

    protected $table = 'llm_session';

    protected $fillable = [
        'session_id',
        'title',
        'user_id',
        'model',
    ];

    public function messages(): HasMany
    {
        return $this->hasMany(LlmMessage::class, 'session_id');
    }
}